#!/usr/bin/Rscript   
getwd()
setwd("~/git/mosaic_2020/")
getwd()
########################################################################
# TASK: read data 
########################################################################
# load libraries, packages and local imports
source("Header_TT.R")
########################################################################
# TODO: turn this to a repo
all_df <- read.csv("/home/backup/MOSAIC/MEDIATOR_Data/master_file/Mosaic_master_file_from_stata.csv"
                   , fileEncoding='latin1') 

hc_data<- read.csv("/home/backup/MOSAIC/MEDIATOR_Data/master_file/Mediators_for_HC.csv")
str(hc_data)
table(hc_data$Timepoint, hc_data$Sample)

# meta data columns                   
meta_data_cols = c("mosaic", "gender", "age", "adult", "flustat", "type"
                   , "obesity", "obese2", "height", "height_unit", "weight"
                   , "weight_unit", "visual_est_bmi", "bmi_rating")

# check if these columns to select are present in the data
meta_data_cols%in%colnames(all_df)
all(meta_data_cols%in%colnames(all_df))

metadata_all = all_df[, meta_data_cols]
########################################################################
outdir = "~/git/mosaic_2020/output/"
ifelse(!dir.exists(outdir), dir.create(outdir), FALSE)

outdir_stats = "~/git/mosaic_2020/output/stats/"
ifelse(!dir.exists(outdir_stats), dir.create(outdir_stats), FALSE)

outdir_plots = "~/git/mosaic_2020/output/plots/"
ifelse(!dir.exists(outdir_plots), dir.create(outdir_plots), FALSE)
########################################################################
